# POST /api/v1/inventory/counts

> Start a cycle count

- **Tag:** inventory:counts
- **Operation ID:** `start_count_api_v1_inventory_counts_post`

## Description

Create a draft cycle / physical count at a location.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Request body

Schema: `StartCountRequest`

- `location_id` (string · required) — Location to count.
- `notes` (string)

## Responses

### 201 — Successful Response

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error - Invalid data format

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/inventory/counts' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "location_id": "string"
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/inventory/counts', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "location_id": "string"
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "location_id": "string"
}

response = httpx.post("https://api.ondayzero.com/api/v1/inventory/counts", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/inventory-counts/start-count
- OpenAPI slice: https://www.ondayzero.com/docs/reference/inventory-counts/start-count/openapi.json
- Other endpoints in **inventory:counts**: https://www.ondayzero.com/docs/reference/inventory-counts
